Returns a shallow copy of the map

- « Ds\Map::__construct

- Ds\Map::count »

- PHP Manual
- Ds\Map
- Returns a shallow copy of the map

# Ds\Map::copy

(PECL ds >= 1.0.0)

Ds\Map::copy — Returns a shallow copy of the map

### Description

public Ds\Map::copy(): Ds\Map

Returns a shallow copy of the map.

### Parameters

This function has no parameters.

### Return Values

Returns a shallow copy of the map.

### Examples

Example #1 Ds\Map::copy() example

    <?php$map = new \Ds\Map([    "a" => 1,    "b" => 2,    "c" => 3,]);print_r($map->copy());?>

The above example will output something similar to:

    Ds\Map Object
    (
        [0] => Ds\Pair Object
            (
                [key] => a
                [value] => 1
            )

        [1] => Ds\Pair Object
            (
                [key] => b
                [value] => 2
            )

        [2] => Ds\Pair Object
            (
                [key] => c
                [value] => 3
            )

    )